/*
* ========== color =============
*/

:root{
    --primary-900: #4D3006;
    --primary-800: #844700;
    --primary-700: #C26900;
    --primary-650: #FF8C00;
    --primary-600: #FFA800;
    --primary: #FFB932;
    --primary-400: #FFC350;
    --primary-300: #FFD27C;
    --primary-200: #FFDB97;
    --primary-100: #FFE9BE;
    --primary-50: #FFF2D9;
    --primary-10: #FFF7E9;

    --black: #000000;

    --gray-900: #111517;
    --gray-800: #232A2D;
    --gray-700: #343F44;
    --gray-600: #46535B;
    --gray: #576872;
    --gray-400: #697D88;
    --gray-300: #8EA4B1;
    --gray-200: #A0B1BC;
    --gray-100: #B3C4CD;
    --gray-95: #C9D6DD;
    --gray-90: #D6E0E5;
    --gray-85: #E4ECF1;
    --gray-80: #E9EEF2;
    --gray-70: #E7EAEC;
    --gray-60: #EDEFF1;
    --gray-50: #F3F5F6;
    --gray-40: #FAFAFA;

    --white: #FFFFFF;

    --success: #00CACA;
    --success-80: #0DE7E7;
    --success-60: #B8F6F6;
    --success-40: #D0FFFF;
    --success-20: #E4FFFF;

    --warning: #FFC700;
    --warning-80: #FFD12E;
    --warning-60: #FFDC5E;
    --warning-40: #FFE791;
    --warning-20: #FFF2C2;

    --error: #E02E4E;
    --error-80: #F93357;
    --error-60: #FF7A92;
    --error-40: #FEE0E6;
    --error-20: #FEEBEE;

    --info: #0F98E6;
    --info-80: #11A9FF;
    --info-60: #B5E4FF;
    --info-40: #DBF2FF;
    --info-20: #E7F6FF;
}

/*
* ========== font =============
*/
@font-face {
    font-family: 'Pretendard';
    src: url('../font/PretendardVariable.ttf') format('truetype');

}
h1{
    font-size: 96px;
    margin:0;
}
h2{
    font-size: 60px;
    margin:0;
}
h3{
    font-size: 48px;
    margin:0;
}
h4{
    font-size: 34px;
    margin:0;
}
h5{
    font-size: 24px;
    margin:0;
}
h6{
    font-size: 20px;
    margin:0;
}

.font-subtitle1{
    font-size: 18px;
}
.font-subtitle2{
    font-size: 16px;
}

.font-body1{
    font-size: 18px;
}
.font-body2{
    font-size: 16px;
}
.font-body3{
    font-size: 14px;
}
.font-body4{
    font-size: 13px;
}
.font-body5{
    font-size: 12px;
}
.font-body6{
    font-size: 10px;
}

.font-button1{
    font-size: 16px;
}
.font-button2{
    font-size: 14px;
}
.font-button3{
    font-size: 12px;
}

.font-caption{
    font-size: 12px;
}

.font-label{
    font-size: 12px;
}

/*
* ========== common =============
*/
body {
    font-family: 'Pretendard', sans-serif;
    position: relative;
    display: flex;
    flex-direction: row;
    margin: 0;
    padding: 0;
}

ul{
    padding: 0;
    margin: 0;
}
li{
    list-style: none;
    padding: 0;
}


/*
* ========== input =============
*/
input{
    height: 36px;
    padding : 10px 12px;
    border-radius: 8px;
    border: 1px solid var(--gray-90);
    font-size: 14px;
    font-weight: 500;
    caret-color: var(--primary-600);
}
input:hover, input:focus{
    outline: none;
    border-color: var(--black);
}
input::placeholder{
    color: var(--gray-90);
}

input.error{
    color: var(--error-60);
}

input.disabled[readonly]{
    background: var(--gray-80);
    cursor:default;
}
input.disabled[readonly]:focus{
    outline: none;
    border: 1px solid var(--gray-90);
}
input.disabled[readonly]:hover{
    outline: none;
    border: 1px solid var(--gray-90);
}
input[type=file]{
    padding : 2px 4px;
}
input[type=file]::file-selector-button{

    justify-content: center;
    align-items: center;
    border-radius: 12px;
    border: none;
    font-size: 14px;
    font-weight: 600;
    line-height: 110%;
    color: var(--white);
    cursor: pointer;
    height: 30px;
    width: 100px;
    background: var(--gray-800);
    margin-right: 10px;
}

/*
* ========== select =============
*/
select{
    height: 36px;
    padding : 9px 30px 9px 12px;
    border-radius: 8px;
    border: 1px solid var(--gray-90);
    font-size: 14px;
    font-weight: 500;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url("../image/select_icon.svg");
    background-repeat: no-repeat;
    background-position: calc(100% - 9px) center;
    background-size: 15px;
}
select:hover, select:focus{
    outline: none;
    border-color: var(--black);
}


/*
* ========== button =============
*/

button{
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    border: none;
    font-size: 14px;
    font-weight: 600;
    line-height: 110%;
    color: var(--white);
    cursor: pointer;
}

button.primary{
    background: var(--primary);
}
button.primary:hover{
    background: var(--primary-600);
}
button.success{
    background: var(--success);
}
button.success:hover{
    background: var(--success-80);
}
button.warning{
    background: var(--warning);
}
button.warning:hover{
    background: var(--warning-80);
}
button.error{
    background: var(--error);
}
button.error:hover{
    background: var(--error-80);
}
button.gray{
    color: var(--gray-900);
    background: var(--gray-80);
}
button.gray:hover{
    background: var(--gray-90);
}
button.detail{
    color: var(--primary-650);
    background: var(--primary-50);
}
button.detail:hover{
    background: var(--primary-100);
}
button.search{
    background: var(--gray-900);
}
button.search:hover{
    background: var(--gray-800);
}
button.disabled{
    background: var(--gray-85) !important;
}

/*
* ========== dialog =============
*/

#dialog-background{
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--black);
    opacity: 0.1;
    z-index: 998;
}
#dialog-background.show{
    display: flex;
}
#dialog-dom{
    position: fixed;
    display: none;
    justify-content: center;
    align-items: center;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
    background: transparent;
}
#dialog-dom.show{
    display: flex;
}
#dialog{
    display: flex;
    flex-direction: column;
    min-width: 170px;
    height: auto;
    padding: 16px;
    background: var(--white);
    border-radius: 16px;
    color: var(--black);
}
#dialog-icon{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 4px;
}
#dialog-icon > i{
    font-size: 32px;
}
#dialog-icon > i.success{
    color: var(--success);
}
#dialog-icon > i.warning{
    color: var(--warning);
}
#dialog-icon > i.error{
    color: var(--error);
}
#dialog-title{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 16px;
    font-weight: 600;
}
#dialog-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 16px;
}
#dialog-button{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 16px;
}
#dialog-button > button{
    flex: 1;
    height: 44px;
}
#dialog-icon{
    margin-bottom: 24px;
}
#dialog-title{
    margin-bottom: 16px;
}
#dialog-content{
    margin-bottom: 20px;
}


/*
* ========== modal =============
*/


.modal {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: none;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 99;
}
.modal.show {
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
}
.modal-content {
    display: flex;
    flex-direction: column;
    width: 50%;
    height: 95%;
    max-height: 95%;
    background-color: rgb(255, 255, 255);
    border-radius: 1em;
    box-shadow: 0 2px 3px 0 rgba(34, 36, 38, 0.15);
    box-sizing: border-box;
    padding: 16px;
}

.modal-content > .modal-content-title {
    font-size: 16px;
    font-weight: 600;
}
.modal-content > .modal-content-header {
    padding-bottom: 16px;
    font-size: 16px;
    font-weight: 600;
}
.modal-content > .modal-content-search {
    padding-bottom: 16px;
    display: flex;
    flex-direction: row;
    justify-content: end;
    align-items: center;
    width: 100%;
    gap: 8px;
}
.modal-content > .modal-content-search > select{
    min-width: 104px;
}
.modal-content > .modal-content-search > button{
    min-width: 63px;
    height: 36px;
}
.modal-content > .modal-content-body {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 16px;
    overflow: auto;
}
.modal-content > .modal-content-body > li{
    display: flex;
    flex-direction: column;
    gap: 12px;
}
.modal-content > .modal-content-body > li > label{
    font-size: 14px;
}
.modal-content > .modal-content-body > li > label > .important{
    color: var(--error);
}
.modal-content > .modal-content-body > li input{
    font-size: 14px;
}
.modal-content > .modal-content-body > li .modal-button-input{
    display: flex;
    flex-direction: row;
    gap: 8px;
}
.modal-content > .modal-content-body > li .modal-button-input > input{
    flex: 1;
}
.modal-content > .modal-content-body > li .modal-button-input > button{
    width: 93px;
}
.modal-content > .modal-content-body > li .modal-caption-input{
    display: flex;
    flex-direction: column;
}
.modal-content > .modal-content-body > li .modal-caption-input > .font-caption{
    display: none;
    margin-top: 4px;
    color: var(--error);
}
.modal-content > .modal-content-body > li .modal-caption-input > .font-caption.success{
    color: var(--success);
}
.modal-content > .modal-content-body > li .modal-caption-input > .font-caption.show{
    display: flex;
}
.modal-content > .modal-content-body-detail{
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.modal-content > .modal-content-body-detail > li{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
.modal-content > .modal-content-body-detail > li > label{
    font-size: 14px;
    font-weight: 500;
    color: var(--gray-700);
}
.modal-content > .modal-content-body-detail > li > span{
    font-size: 14px;
    font-weight: 500;
    color: var(--black);
}
.modal-content > .modal-content-body-detail > li > span.info{
    color:var(--info)
}
.modal-content > .modal-content-body-detail > li > span.warning{
    color:var(--warning)
}
.modal-content > .modal-content-body-detail > li > span.error{
    color:var(--error)
}

.modal-content > .modal-content-footer {
    display: flex;
    justify-content: end;
    align-items: center;
    padding-top: 20px;
    gap: 16px;
}
.modal-content > .modal-content-footer > button{
    display: flex;
    width: 129px;
    height: 44px;
}


.modal-content .modal-tab-dom{
    display: flex;
    flex-direction: row;
    width: 100%;
    /*border-bottom: 2px solid var(--primary);*/
    box-sizing: border-box;
}
.modal-content .modal-tab-dom > .modal-tab{
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    border-bottom: 1px solid var(--gray-80);
    cursor: pointer;
    padding-top: 11px;
    padding-bottom: 11px;
    font-size: 14px;
    font-weight: 600;
}
.modal-content .modal-tab-dom > .modal-tab.active{
    color: var(--primary);
}
.modal-content .modal-tab-indicator{
    height: 2px;
    background-color: var(--primary);
    transition: all 0.3s ease;
}
.modal-content .modal-tab-content{
    display: flex;
    flex-direction: row;
    gap: 28px;
    padding-left: 12px;
    padding-right: 12px;
}
.modal-content .modal-tab-content > ul{
    flex:1;
    display: flex;
    flex-direction: column;
}
.modal-content .modal-tab-content > ul > li{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 31px;
    max-height: 62px;
    border-bottom: 1px solid var(--gray-80);
    box-sizing: border-box;
    font-size: 14px;
}
.modal-content .modal-tab-content > ul > li > label{
    color: var(--gray-600);
}

.modal-content .modal-tab-content > ul > li > span.success{
    color: var(--success);
}
.modal-content .modal-tab-content > ul > li > span.error{
    color: var(--error);
}



/*
* ========== loading =============
*/

.loading{
    display: none;
    position: relative;
    width:100%;
    height:100%;
}
.loading.show{
    display: flex;
    z-index: 995;
    justify-content: center;
    align-items: center
}
.loadingBackground{
    position: absolute;
    width:100%;
    height:100%;
    background: #494949;
    opacity: 0.1;
}
.loadingIcon{
    display: inline-block;
    width: 50px;
    height: 50px;
    border: 6px solid var(--primary-300);
    border-radius: 50%;
    border-top-color: var(--primary);
    animation: spin 1s ease-in-out infinite;
    -webkit-animation: spin 1s ease-in-out infinite;
    opacity: 1;
}

@keyframes spin {
    to { -webkit-transform: rotate(360deg); }
}
@-webkit-keyframes spin {
    to { -webkit-transform: rotate(360deg); }
}
